# Class TwinfinityTargetCameraInputsManager

Default Inputs manager for the PivotTargetCamera. It groups all the default supported inputs for ease of use.

#### See

http://doc.babylonjs.com/how_to/customizing_camera_inputs

#### Hierarchy

- CameraInputsManager<TargetCamera>
  - TwinfinityTargetCameraInputsManager

#### Implements

- CameraOptions

##### Index

### Constructors

constructor

### Properties

_keyboardInput
_mousePanInput
_mouseRotationInput
_mouseZoomInput
_touchInput
isKeyboardMoveEnabled
isPanEnabled
isRotationEnabled
isZoomEnabled
mode

### Methods

addKeyboard
addMousePan
addMouseRotation
addMouseZoom
addTouch
clear
removeKeyboard
removeMousePan
removeMouseRotation
removeMouseZoom
removeTouch

## Constructors

### constructor

- new TwinfinityTargetCameraInputsManager(
  camera: TargetCamera,
  ): TwinfinityTargetCameraInputsManager

  Instantiates a new TwinfinityTargetCameraInputsManager.

  #### Parameters

  - camera: TargetCamera

    Defines the camera the inputs belong to

  #### Returns TwinfinityTargetCameraInputsManager

  Overrides CameraInputsManager<TargetCamera>.constructor

## Properties

### _keyboardInput

_keyboardInput: Nullable<TwinfinityTargetCameraKeyboardInput<PivotTargetCamera>> = null

### _mousePanInput

_mousePanInput: Nullable<TwinfinityTargetCameraMousePanInput<PivotTargetCamera>> = null

### _mouseRotationInput

_mouseRotationInput: Nullable<TwinfinityTargetCameraMouseRotationInput> = null

### _mouseZoomInput

_mouseZoomInput: Nullable<
TwinfinityTargetCameraMouseZoomInput<PivotTargetCamera>,
> = null

### _touchInput

_touchInput: Nullable<TwinfinityCameraTouchInput> = null

### isKeyboardMoveEnabled

isKeyboardMoveEnabled: boolean = true

If `true` then camera can be moved along its axes using a keyboard. Default is by arrow keys or WASD keys.

Implementation of CameraOptions.isKeyboardMoveEnabled

### isPanEnabled

isPanEnabled: boolean = true

If `true` then camera can be panned.

Implementation of CameraOptions.isPanEnabled

### isRotationEnabled

isRotationEnabled: boolean = true

If `true` then camera can be rotated

Implementation of CameraOptions.isRotationEnabled

### isZoomEnabled

isZoomEnabled: boolean = true

If `true` then camera can be zoomed

Implementation of CameraOptions.isZoomEnabled

### mode

mode: CameraMode = 'all'

Determines mode of camera.

Implementation of CameraOptions.mode

## Methods

### addKeyboard

- addKeyboard(): TwinfinityTargetCameraInputsManager

  Add keyboard input support to the input manager.

  #### Returns TwinfinityTargetCameraInputsManager

  the current input manager

### addMousePan

- addMousePan(): TwinfinityTargetCameraInputsManager

  Add middle mouse button input support to the input manager. This is used for panning the PivotTargetCamera

  #### Returns TwinfinityTargetCameraInputsManager

  the current input manager

### addMouseRotation

- addMouseRotation(): TwinfinityTargetCameraInputsManager

  Add left mouse button input support to the input manager. This is used for rotation for PivotTargetCamera

  #### Returns TwinfinityTargetCameraInputsManager

  the current input manager

### addMouseZoom

- addMouseZoom(): TwinfinityTargetCameraInputsManager

  Add mouse scroll wheel input support to the input manager. This is used for zooming in and out the TargetCamera

  #### Returns TwinfinityTargetCameraInputsManager

  the current input manager

### addTouch

- addTouch(): TwinfinityTargetCameraInputsManager

  Add touch rotation input support to the input manager. This is used when one finger is touching the screen

  #### Returns TwinfinityTargetCameraInputsManager

  the current input manager

### clear

- clear(): void

  Remove all attached input methods from this PivotTargetCamera

  #### Returns void

  Overrides CameraInputsManager.clear

### removeKeyboard

- removeKeyboard(): TwinfinityTargetCameraInputsManager

  Removes the keyboard input support from the manager

  #### Returns TwinfinityTargetCameraInputsManager

  the current input manager

### removeMousePan

- removeMousePan(): TwinfinityTargetCameraInputsManager

  Removes the middle mouse button input support from the manager

  #### Returns TwinfinityTargetCameraInputsManager

  the current input manager

### removeMouseRotation

- removeMouseRotation(): TwinfinityTargetCameraInputsManager

  Removes the left mouse button input support from the manager

  #### Returns TwinfinityTargetCameraInputsManager

  the current input manager

### removeMouseZoom

- removeMouseZoom(): TwinfinityTargetCameraInputsManager

  Removes the mouse scroll wheel input support from the manager

  #### Returns TwinfinityTargetCameraInputsManager

  the current input manager

### removeTouch

- removeTouch(): TwinfinityTargetCameraInputsManager

  Removes touch rotation input support from the manager

  #### Returns TwinfinityTargetCameraInputsManager

  the current input manager